Bug 60306 - video-play-stall-before-meta-data doesn't wait long enough for suspend event
Summary: video-play-stall-before-meta-data doesn't wait long enough for suspend event
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Steve Lacey
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-05 15:29 PDT by Steve Lacey
Modified: 2011-05-10 07:39 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.22 KB, patch)
2011-05-06 10:49 PDT, Steve Lacey
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Lacey 2011-05-05 15:29:25 PDT
A suspend event isn't going to get fired unless no progress has happened for 3 seconds. This change makes sure the connection stays open long enough for that to happen.
Comment 1 Steve Lacey 2011-05-06 10:49:12 PDT
Created attachment 92606 [details]
Patch
Comment 2 Steve Lacey 2011-05-09 22:43:38 PDT
ping :-)
Comment 3 imasaki 2011-05-10 07:10:35 PDT
Ping.
Comment 4 Eric Carlson 2011-05-10 07:14:25 PDT
(In reply to comment #3)
> Ping.

Sorry, I was out sick for the last couple of days.
Comment 5 WebKit Commit Bot 2011-05-10 07:39:53 PDT
Comment on attachment 92606 [details]
Patch

Clearing flags on attachment: 92606

Committed r86151: <http://trac.webkit.org/changeset/86151>
Comment 6 WebKit Commit Bot 2011-05-10 07:39:58 PDT
All reviewed patches have been landed.  Closing bug.